// Variables

$header-height: 2.8125em;

// SCSS

header ~ main {
    padding-top: $header-height;
}

nav.top-bar {
    position: fixed;
    width: 100%;
    z-index: 1;
}

.loading-msg {
    position: fixed;
    top: 3px;
    left: 50%;
    margin-left: -50px;
    font-size: 12px;
    padding: 5px 15px;
}

.notification {
    position: fixed;
    top: 48px;
    right: 3px;
    font-size: 14px;
    z-index: 1;
}

ul.side-nav li.active {
    border-left: 10px solid #008CBA;
}

.content.instance-app {
    .row {
        max-width: none;
    }

    .scrollable {
        overflow: auto;
        height: calc(100vh - #{$header-height});
    }

    .scrollable::-webkit-scrollbar {
        width: 1em;
    }

    .scrollable::-webkit-scrollbar-thumb {
        background-color: lightgray;
    }

    .scrollable::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.2);
    }

    .side-instance-list {
        .instance-name {
            display: block;
            margin-right: 70px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }

    div.status-icon-active {
        float: right;
        margin-left: 10px;
        margin-top: 8px;
        background-color: #eee;
        width: 30px;
        height: 30px;
        border-radius: 15px;
        line-height: 30px;
        text-align: center;
        &.healthy {
            background-color: #ada;
        }
        &.unhealthy {
            background-color: #daa;
        }
    }
    div.status-icon-newest {
        float: right;
        margin-left: 10px;
        margin-top: 11px;
        border: 3px solid #ddd;
        width: 26px;
        height: 26px;
        border-radius: 13px;
        line-height: 21px;
        font-size: 12px;
        text-align: center;
        &.healthy {
            border-color: #ada;
        }
        &.unhealthy {
            border-color: #daa;
        }
    }

    .instance-description {
        margin-bottom: 0px;
    }

    .reprovision.button {
        float: right;
        margin-bottom: 0px;
        margin-right: 10px;
    }

    .status-error, .status-success {
        margin-top: 12px;
    }

    .configuration {
        font-size: 0.75em;
        white-space: pre-wrap;
    }

    .instance-log-section {
        margin-bottom: 1.5em;
    }

    .instance-log {
        font-size: 0.75em;
        padding: 4px 0;
        border-top: 1px solid #ddd;

        pre {
            white-space: pre-wrap;
        }
        .timestamp,
        .log-level {
            opacity: 0.5;
        }
        .log-level {
            float: right;
            font-size: 9px;
        }

        &.warning {
            background-color: #ffc;
        }
        &.error,
        &.critical {
            color: #ff0000;
        }
    }

    .a-welcoming-empty-state {
        width: 90%;
        margin: 100px auto;
        text-align: center;

        i {
            font-size: 30vh;
            opacity: 0.5;
            margin-bottom: 30px;
        }
    }

    .appserver-list {
        .appserver-name {
            font-weight: bold;
        }
        > li li {
            list-style-type: none;
        }
    }
}

.accordion {
    .caret {
        margin-right: 0.5em;
    }
}

.description {
    color: gray;
    margin-bottom: 1rem;
    font-size: 0.9rem;
}

button i.fa {
    margin-right: 1em;
}

table td, table th {
    vertical-align: top;
}

// TODO: Move to application scope
div#djDebug #djDebugToolbarHandle {
    top: auto !important;
    bottom: 30px;
}
